[arch-commits] Commit in libmodplug/trunk (PKGBUILD)

Eric Bélanger eric at archlinux.org
Fri May 1 23:29:09 EDT 2009


    Date: Friday, May 1, 2009 @ 23:29:09
  Author: eric
Revision: 37458

upgpkg: libmodplug 0.8.7-1
    Upstream update, Updated license

Modified:
  libmodplug/trunk/PKGBUILD

----------+
 PKGBUILD |   17 +++++++++--------
 1 file changed, 9 insertions(+), 8 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-05-02 02:42:01 UTC (rev 37457)
+++ PKGBUILD	2009-05-02 03:29:09 UTC (rev 37458)
@@ -3,21 +3,22 @@
 # Contributor: Patrick Leslie Polzer <leslie.polzer at gmx.net>
 
 pkgname=libmodplug
-pkgver=0.8.4
+pkgver=0.8.7
 pkgrel=1
 pkgdesc="A MOD playing library"
 arch=(i686 x86_64)
 url="http://modplug-xmms.sourceforge.net/"
-license=('GPL')
-depends=(gcc-libs)
-source=(http://downloads.sf.net/sourceforge/modplug-xmms/libmodplug-${pkgver}.tar.gz)
-md5sums=('091bd1168a524a4f36fc61f95209e7e4')
+license=('custom')
+depends=('gcc-libs')
 options=('!libtool')
+source=(http://downloads.sourceforge.net/sourceforge/modplug-xmms/libmodplug-${pkgver}.tar.gz)
+md5sums=('d2d9ccd8da22412999caed076140f786')
 
 build() {
-  cd ${startdir}/src/libmodplug-${pkgver}
-  ./configure --prefix=/usr
+  cd ${srcdir}/libmodplug-${pkgver}
+  ./configure --prefix=/usr || return 1
   make || return 1
-  make DESTDIR=${startdir}/pkg install
+  make DESTDIR=${pkgdir} install || return 1
+  install -D -m644 COPYING ${pkgdir}/usr/share/licenses/${pkgname}/LICENSE
 }
 



More information about the arch-commits mailing list